#!/bin/sh

osascript << EOF
tell application "Finder"
   activate
   select the last Finder window
	reveal POSIX file "/Applications/owncloud.app"
end tell
EOF

# Always enable the new 10.10 finder plugin if available
if [ -x "$(command -v pluginkit)" ]; then
    # add it to DB. This happens automatically too but we try to push it a bit harder for issue #3463
    pluginkit -a  "/Applications/owncloud.app/Contents/PlugIns/FinderSyncExt.appex/"
    # enable it
    pluginkit -e use -i com.owncloud.desktopclient.FinderSyncExt
fi

exit 0
