# Install script for directory: /opt/client/src/libsync

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Debug")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  list(APPEND CMAKE_ABSOLUTE_DESTINATION_FILES
   "/usr/local/include/owncloudsync/mirall/account.h;/usr/local/include/owncloudsync/mirall/syncengine.h;/usr/local/include/owncloudsync/mirall/configfile.h;/usr/local/include/owncloudsync/mirall/networkjobs.h;/usr/local/include/owncloudsync/mirall/progressdispatcher.h;/usr/local/include/owncloudsync/mirall/syncfileitem.h;/usr/local/include/owncloudsync/mirall/syncjournaldb.h;/usr/local/include/owncloudsync/mirall/syncresult.h")
  if(CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(WARNING "ABSOLUTE path INSTALL DESTINATION : ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
  if(CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(FATAL_ERROR "ABSOLUTE path INSTALL DESTINATION forbidden (by caller): ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
file(INSTALL DESTINATION "/usr/local/include/owncloudsync/mirall" TYPE FILE FILES
    "/opt/client/src/libsync/account.h"
    "/opt/client/src/libsync/syncengine.h"
    "/opt/client/src/libsync/configfile.h"
    "/opt/client/src/libsync/networkjobs.h"
    "/opt/client/src/libsync/progressdispatcher.h"
    "/opt/client/src/libsync/syncfileitem.h"
    "/opt/client/src/libsync/syncjournaldb.h"
    "/opt/client/src/libsync/syncresult.h"
    )
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  list(APPEND CMAKE_ABSOLUTE_DESTINATION_FILES
   "/usr/local/include/owncloudsync/creds/abstractcredentials.h;/usr/local/include/owncloudsync/creds/httpcredentials.h")
  if(CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(WARNING "ABSOLUTE path INSTALL DESTINATION : ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
  if(CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION)
    message(FATAL_ERROR "ABSOLUTE path INSTALL DESTINATION forbidden (by caller): ${CMAKE_ABSOLUTE_DESTINATION_FILES}")
  endif()
file(INSTALL DESTINATION "/usr/local/include/owncloudsync/creds" TYPE FILE FILES
    "/opt/client/src/libsync/creds/abstractcredentials.h"
    "/opt/client/src/libsync/creds/httpcredentials.h"
    )
endif()

if(NOT CMAKE_INSTALL_COMPONENT OR "${CMAKE_INSTALL_COMPONENT}" STREQUAL "Unspecified")
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so.2.0.2"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so.0"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib/owncloud")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/opt/client-build/src/libsync/libowncloudsync.so.2.0.2"
    "/opt/client-build/src/libsync/libowncloudsync.so.0"
    "/opt/client-build/src/libsync/libowncloudsync.so"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so.2.0.2"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so.0"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libowncloudsync.so"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/opt/client-build/csync/src:"
           NEW_RPATH "/usr/local/lib/owncloud")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

